安定版のlibevent 2.0.xだとダメ

安定版のlibevent 2.0.xではWindowsだとopensslの
サポートが外されているようでした。

bufferevent_openssl_get_ssl

などが、使えません。

対応策

git cloneしてlibeventの最新版を使う

関連記事